For Developers

Share Products

POST https://ed.link/api/v2/teams/:team_id/integrations/:integration_id/products

Shares one or more catalog products with the integration. Only the developer team that owns the integration's application may call this endpoint.

Permissions

Requires the products.create system permission.

Parameters

ParameterTypeRequiredDescription
:team_idUUIDYesThe ID of the team.
:integration_idUUIDYesThe ID of the integration.

Request Body

PropertyTypeRequiredDescription
productsArrayYesArray of product share specifications with id, optional soft_cap, and hard_cap.

Sample Request

const response = await axios.post(
    `https://ed.link/api/v2/teams/${team_id}/integrations/${integration_id}/products`,
    {
        products: [
            {
                id: 'e891024b-3211-479c-9c3f-918239023412',
                soft_cap: 500,
                hard_cap: 550
            }
        ]
    },
    {
        headers: {
            authorization: `Bearer ${user_session_token}`,
            'content-type': 'application/json'
        }
    }
);

Sample Response

{
    "$data": [
        {
            "id": "e891024b-3211-479c-9c3f-918239023412",
            "name": "Math Mastery Suite - Grade 6-8",
            "soft_cap": 500,
            "hard_cap": 550
        }
    ]
}